Bug 1439946 - UI: Advanced Search - Canceling delete on saved filter delete confirmation dialog deletes the filter
Summary: UI: Advanced Search - Canceling delete on saved filter delete confirmation di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Hilda Stastna
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Depends On: 1436243
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-06 22:56 UTC by Satoe Imaishi
Modified: 2017-05-31 14:49 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1436243
Environment:
Last Closed: 2017-05-31 14:49:53 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-06 22:58:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4589ee89705242df92a9de6b82df5749fc65d132

commit 4589ee89705242df92a9de6b82df5749fc65d132
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Apr 5 15:21:11 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 6 18:55:56 2017 -0400

    Merge pull request #918 from hstastna/Cancel_delete_saved_filter_confirm_dialog
    
    Fix cancelling delete on saved filter
    (cherry picked from commit cc9975991640680414125d3c15dbca030ac14566)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1439946

 app/views/layouts/_adv_search_footer.html.haml | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

Comment 3 Sunil Kondkar 2017-04-13 08:11:38 UTC
Verified on Version 5.8.0.10-beta1.20170411212748_e47d319 

Canceling the filter delete works as expected and does not delete the filter.

Comment 5 errata-xmlrpc 2017-05-31 14:49:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.